package com.wd.workoffice.contract;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.bean.ActivationUserBean;
import com.wd.workoffice.bean.DepBean;
import com.wd.workoffice.bean.ProcessBean;
import com.wd.workoffice.bean.StockBean;

import java.util.List;
import java.util.Map;

import flexible.xd.android_base.mvpBase.IBaseModel;
import flexible.xd.android_base.mvpBase.IBasePresenter;
import flexible.xd.android_base.mvpBase.IBaseView;
import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public interface ErpActivationContract {
    interface Model extends IBaseModel {
        Observable<BaseBean> getInfo(String phone);

        Observable<BaseBean> getCode(String phone, String type);
        Observable<BaseBean> verifyCode(String phone,String verifyCode,String type);
    }

    interface View extends IBaseView {
        void getInfo(ActivationUserBean data);

        void getCode();
        void verifySuccess();
    }

    interface Presenter extends IBasePresenter<View> {
        void getInfo(String phone);

        void getCode(String phone, String type);
        void verifyCode(String phone,String verifyCode,String type);
    }
}
